Subject: Re: bug#42311: [PATCH] Wrap skeleton logic in atomic-change-group

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Aug 2020 16:08:38 +0200

"Philip K." <[email-masked]> writes:

> I'm not sure if this is intended, but when expanding a skeleton
> (e.g. using sgml-tag), I sometimes change my mind and press C-g. I'm
> then left with a half finished HTML tag, like for example
>
>      <a id="
>
> that is really never intended. The patch below ensures that all
> skeletons are either inserted correctly, or cleaned up as part of an
> atomic change group.

[...]

> -       (skeleton-proxy-new ',skeleton str arg))))
> +       (atomic-change-group
> +         (skeleton-proxy-new ',skeleton str arg)))))

Thanks.

I'm not a heavy user of skeletons, but this looks sensible to me, so
I've applied it to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no